# Class GetAutoSwitchReply

#### Hierarchy

- unknown
  - GetAutoSwitchReply

- Defined in src/protobuf/grpc_pb.d.ts:1200
- Defined in src/protobuf/grpc_pb.d.ts:1212

#####
Index

### Constructors

constructor

### Methods

getAutoSwitch
serializeBinary
setAutoSwitch
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetAutoSwitchReply(): GetAutoSwitchReply

- #### Returns GetAutoSwitchReply

  Inherited from jspb.Message.constructor

## Methods

### getAutoSwitch

- getAutoSwitch(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1201

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1204

### setAutoSwitch

- setAutoSwitch(value: boolean): GetAutoSwitchReply

- #### Parameters

  - ##### value: boolean

  #### Returns GetAutoSwitchReply

  - Defined in src/protobuf/grpc_pb.d.ts:1202

### toObject

- toObject(includeInstance?: boolean): GetAutoSwitchReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetAutoSwitchReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1205

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAutoSwitchReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAutoSwitchReply

  - Defined in src/protobuf/grpc_pb.d.ts:1208

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAutoSwitchReply, reader: BinaryReader): GetAutoSwitchReply

- #### Parameters

  - ##### message: GetAutoSwitchReply

  - ##### reader: BinaryReader

  #### Returns GetAutoSwitchReply

  - Defined in src/protobuf/grpc_pb.d.ts:1209

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAutoSwitchReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetAutoSwitchReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1207

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetAutoSwitchReply): GetAutoSwitchReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAutoSwitchReply

  #### Returns GetAutoSwitchReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1206

Generated using TypeDoc